// WinModDlg.h : Header-Datei
//

#if !defined(AFX_WINMODDLG_H__AFAC75A4_1C55_11D4_AEC4_00A0244AEFC1__INCLUDED_)
#define AFX_WINMODDLG_H__AFAC75A4_1C55_11D4_AEC4_00A0244AEFC1__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

/////////////////////////////////////////////////////////////////////////////
// CWinModDlg Dialogfeld

class CWinModDlg : public CDialog
{
// Konstruktion
public:
	CWinModDlg(CWnd* pParent = NULL);	// Standard-Konstruktor
	~CWinModDlg();
	bool Pause, PlayList, NextFile, PlayNextFile, DrawNoMore, DontStart;
	int PlayListHandle;
	void LoadaFile(char *FileName);
	void AusgabeDaten();
	void DrawBufferSample();
	void OpenPlayListFile(char *FileName);
	void ClosePlayListFile();
	void PlayNextPiece();
	// Dialogfelddaten
	//{{AFX_DATA(CWinModDlg)
	enum { IDD = IDD_WINMOD_DIALOG };
	CButton	m_CheckUseLinearFrequency;
	CButton	m_UseWaveOut;
	CStatic	m_PeekMeter;
	CButton	m_WideStereoC;
	CButton	m_CheckLoopsAllowedC;
	CButton	m_CheckISPC;
	CButton	m_CheckClippingC;
	CButton	m_CheckClickC;
	CEdit	m_TrackerNameC;
	CEdit	m_SongNameC;
	CEdit	m_LoadErrorC;
	CEdit	m_FileNameC;
	CEdit	m_PlayerTimeC;
	CEdit	m_CPUUTILC;
	CEdit	m_ActSpeedC;
	CEdit	m_ActBPMC;
	CEdit	m_ActRowC;
	CEdit	m_ActPatternIndexC;
	CEdit	m_ActPatternC;
	CButton	m_NextButton;
	CStatic	m_TheWaveR;
	CStatic	m_TheWaveL;
	CSliderCtrl	m_SliderPreAmp;
	CComboBox	m_Combo_Bufferms;
	CComboBox	m_Combo_nSamples;
	CComboBox	m_Combo_Channels;
	CComboBox	m_Combo_PlayerFrequenzy;
	CButton	m_StopButton;
	CButton	m_PauseButton;
	CButton	m_PlayButton;
	CButton	m_FFButton;
	CButton	m_RWButton;
	CListBox	m_SampleNames;
	//}}AFX_DATA

	// Vom Klassenassistenten generierte berladungen virtueller Funktionen
	//{{AFX_VIRTUAL(CWinModDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV-Untersttzung
	//}}AFX_VIRTUAL

// Implementierung
protected:
	HICON m_hIcon;

	// Generierte Message-Map-Funktionen
	//{{AFX_MSG(CWinModDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDateiBeenden();
	afx_msg void OnHilfeInfo();
	afx_msg void OnDateiOpenFile();
	afx_msg void OnDateiInstrumente();
	afx_msg void OnDblclkListSampleNames();
	afx_msg void OnCheckIsp();
	afx_msg void OnCHECKWideStereo();
	afx_msg void OnCHECKClipping();
	afx_msg void OnButtonPause();
	afx_msg void OnButtonPlay();
	afx_msg void OnButtonStop();
	afx_msg void OnCheckClick();
	afx_msg void OnButtonRW();
	afx_msg void OnButtonFF();
	afx_msg void OnButtonNext();
	afx_msg void OnDropFiles( HDROP hDropInfo );
	afx_msg void OnDateiPattern();
	afx_msg void OnCHECKLoopsAllowed();
	afx_msg void OnCHECKUseWaveOut();
	afx_msg void OnCHECKlinFrequ();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	CFont *m_cfFixedFont;
	bool m_InternalUseWaveOut;
	unsigned long m_MaxPeekL, m_MaxPeekR, m_TimeForPeekL, m_TimeForPeekR;
	unsigned long m_DisplayFacY;
	RECT m_ClientRectWaveBox, m_ClientRectFullWaveBox, m_ClientRectPeekMeter;
	unsigned long m_WaveBoxMiddle;
    CPen *MyPenGray;
	unsigned long m_PeekWidth;
	unsigned long m_PeekX1;
	unsigned long m_PeekX2;
	unsigned long m_Peek_h;
	int getConfigFromRegistry();
	int writeConfigToRegistry();
	void prepareClose();
	void OnOK();
	void OnCancel();
	int getValueFromKey(HKEY handle, LPCTSTR lpValueName);
	int setValueToKey(HKEY handle, LPCTSTR lpValueName, DWORD value);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_WINMODDLG_H__AFAC75A4_1C55_11D4_AEC4_00A0244AEFC1__INCLUDED_)
